// Copyright 2026 The Chromium Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
import './taskbox/ai_taskbox.js';
import './memory_banks/memory_banks.js';
import '//resources/cr_elements/cr_menu_selector/cr_menu_selector.js';
import '//resources/cr_elements/cr_icon/cr_icon.js';
import '//resources/cr_elements/icons.html.js';
import { CrLitElement } from '//resources/lit/v3_0/lit.rollup.js';
import { getCss } from './app.css.js';
import { getHtml } from './app.html.js';
import { BrowserProxyImpl } from './browser_proxy.js';
export class ContextHubAppElement extends CrLitElement {
    static get is() {
        return 'context-hub-app';
    }
    static get styles() {
        return getCss();
    }
    render() {
        return getHtml.bind(this)();
    }
    static get properties() {
        return {
            currentView_: { type: String },
            todos_: { type: Array },
        };
    }
    #currentView__accessor_storage = 'ai-taskbox';
    get currentView_() { return this.#currentView__accessor_storage; }
    set currentView_(value) { this.#currentView__accessor_storage = value; }
    #todos__accessor_storage = null;
    get todos_() { return this.#todos__accessor_storage; }
    set todos_(value) { this.#todos__accessor_storage = value; }
    connectedCallback() {
        super.connectedCallback();
        BrowserProxyImpl.getInstance().handler.generateAutoTodos().then(({ todos }) => {
            this.todos_ = todos;
        });
    }
    onSelectedChanged_(e) {
        this.currentView_ = e.detail.value;
    }
    onSelectorClick_(e) {
        e.preventDefault();
    }
}
customElements.define(ContextHubAppElement.is, ContextHubAppElement);
